Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 808049

Summary: dev-util/roctracer-4.2.0 - /.../memory_pool.h: error: int pthread_yield() is deprecated on sys-libs/glibc-2.34
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Science Related Packages <sci>
Status: RESOLVED FIXED    
Severity: normal CC: candrews, gentoo
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 803482    
Attachments: emerge-info.txt
dev-util:roctracer-4.2.0:20210813-132000.log
emerge-history.txt
environment
etc.portage.tar.bz2
logs.tar.bz2
temp.tar.bz2

Description Toralf Förster gentoo-dev 2021-08-13 17:19:24 UTC
In file included from /var/tmp/portage/dev-util/roctracer-4.2.0/work/roctracer-rocm-4.2.0/src/core/roctracer.cpp:45:
/var/tmp/portage/dev-util/roctracer-4.2.0/work/roctracer-rocm-4.2.0/src/core/memory_pool.h: In static member function ‘static void roctracer::MemoryPool::sync_reader(const roctracer::MemoryPool::consumer_arg_t*)’:
/var/tmp/portage/dev-util/roctracer-4.2.0/work/roctracer-rocm-4.2.0/src/core/memory_pool.h:155:64: error: ‘int pthread_yield()’ is deprecated: pthread_yield is deprecated, use sched_yield instead [-Werror=deprecated-declarations]
  155 |     while(arg->valid.load() == true) PTHREAD_CALL(pthread_yield());
      |                                                   ~~~~~~~~~~~~~^~
/var/tmp/portage/dev-util/roctracer-4.2.0/work/roctracer-rocm-4.2.0/src/core/memory_pool.h:36:15: note: in definition of macro ‘PTHREAD_CALL’
   36 |     int err = call;                                                                                \

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-j3-20210813-000150

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.54.0 *
The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit e8f59f571130bf7ff4140cb7b9f572329fbc0f0f
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Aug 13 10:22:08 2021 +0000

    2021-08-13 10:22:04 UTC

emerge -qpvO dev-util/roctracer
[ebuild  N    ] dev-util/roctracer-4.2.0
Comment 1 Toralf Förster gentoo-dev 2021-08-13 17:19:25 UTC
Created attachment 732639 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-13 17:19:26 UTC
Created attachment 732641 [details]
dev-util:roctracer-4.2.0:20210813-132000.log
Comment 3 Toralf Förster gentoo-dev 2021-08-13 17:19:28 UTC
Created attachment 732643 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-08-13 17:19:29 UTC
Created attachment 732645 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-08-13 17:19:30 UTC
Created attachment 732647 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-08-13 17:19:31 UTC
Created attachment 732649 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-08-13 17:19:33 UTC
Created attachment 732651 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-10-17 09:32:51 UTC
Ping
Comment 9 Larry the Git Cow gentoo-dev 2021-10-30 16:47:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17141c97e9313f7f73148036e5d3dc96f9760f15

commit 17141c97e9313f7f73148036e5d3dc96f9760f15
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-10-30 16:47:09 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-10-30 16:47:09 +0000

    dev-util/roctracer: pthread_yield -> sched_yield (glibc 2.34)
    
    Closes: https://bugs.gentoo.org/808049
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/roctracer-4.3.0-glibc-2.34.patch         | 35 ++++++++++++++++++++++
 dev-util/roctracer/roctracer-4.3.0.ebuild          |  9 ++++--
 2 files changed, 41 insertions(+), 3 deletions(-)